Bug 999480 - Failure to live migrate: domain not found
Failure to live migrate: domain not found
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Michal Skrivanek
meital avital
virt
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 07:42 EDT by Ohad Basan
Modified: 2015-09-22 09 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 04:53:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ohad Basan 2013-08-21 07:42:00 EDT
Description of problem:

I have an iscsi dc with one active storage domain and two active hosts
I am trying to live 
migrate the vm from one host to another and I am receiving a message
cParams:{'path': ''} truesize:0 type:disk volExtensionChunk:1024 watermarkLimit:536870912
Traceback (most recent call last):
  File "/usr/share/vdsm/clientIF.py", line 355, in teardownVolumePath
    res = self.irs.teardownImage(drive['domainID'],
  File "/usr/share/vdsm/vm.py", line 1343, in __getitem__
    raise KeyError(key)
KeyError: 'domainID'
Thread-2166::ERROR::2013-08-21 14:40:51,241::vm::2062::vm.Vm::(_startUnderlyingVm) vmId=`6b2a7374-3c3f-4c0e-8c06-ea583e303fda`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 2040, in _startUnderlyingVm
    self._waitForIncomingMigrationFinish()
  File "/usr/share/vdsm/vm.py", line 3364, in _waitForIncomingMigrationFinish
    self._connection.lookupByUUIDString(self.id),
  File "/usr/lib64/python2.6/site-packages/vdsm/libvirtconnection.py", line 76, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2838, in lookupByUUIDString
    if ret is None:raise libvirtError('virDomainLookupByUUIDString() failed', conn=self)
libvirtError: Domain not found: no domain with matching uuid '6b2a7374-3c3f-4c0e-8c06-ea583e303fda'
Thread-2166::DEBUG::2013-08-21 14:40:51,245::vm::2452::vm.Vm::(setDownStatus) vmId=`6b2a7374-3c3f-4c0e-8c06-ea583e303fda`::Changed state to Down: Domain not found: no domain with matching uuid '6b2a7374-3c3f-4c0
e-8c06-ea583e303fda'


one of the host was previously connected to an nfs dc with an nfs storage
so maybe something is not cleaned up properly.
Comment 3 Allon Mureinik 2013-08-26 08:49:28 EDT
Sergey, aren't you handling a similar issue already?
Comment 4 Sergey Gotliv 2013-08-26 14:44:34 EDT
(In reply to Allon Mureinik from comment #3)
> Sergey, aren't you handling a similar issue already?
No.

The exception in teardownImage seems to be log issue only, since it caught and handled.

According to that bug description, the issue was happen on 21/08 in 14:40, but attached vdsm logs contain information till 21/08 14:32.
Ohad, can you attach the rest of the log, please?
Comment 12 Michal Skrivanek 2013-09-10 01:50:09 EDT
I've tested virsh connection from nari12 to nari13 yesterday and it seems to be working ok, do you still see the migration issue?
Comment 13 Ohad Basan 2013-09-10 07:46:49 EDT
I don't see that anymore...
Comment 14 Michal Skrivanek 2013-09-13 04:53:42 EDT
most likely an intermittent connectivity issue or firewall settings

Note You need to log in before you can comment on or make changes to this bug.